summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--jenkins-helpers.sh6
-rwxr-xr-xtcwg_bmk-build.sh5
2 files changed, 8 insertions, 3 deletions
diff --git a/jenkins-helpers.sh b/jenkins-helpers.sh
index e3347886..54f9a54f 100644
--- a/jenkins-helpers.sh
+++ b/jenkins-helpers.sh
@@ -1928,7 +1928,11 @@ git_annex_upload ()
ssh -n bkp-01.tcwglab mkdir -p "$(dirname "$remote_path")"
rsync -a "$tarball" "$newlink"
- rm -rf "$dir"
+
+ # In normal builds files inside $dir will be owned by tcwg-benchmark,
+ # so we will fail trying to delete them. Still, try to delete
+ # the directory to avoid running of disk space when re-writing history.
+ rm -rf "$dir" &>/dev/null || true
git -C "$repo" rm "$annex_dir/$symlink"
echo "$newlink" > "$repo/$annex_dir/$symlink"
diff --git a/tcwg_bmk-build.sh b/tcwg_bmk-build.sh
index dddf7638..6dca2310 100755
--- a/tcwg_bmk-build.sh
+++ b/tcwg_bmk-build.sh
@@ -263,10 +263,11 @@ benchmark ()
*) echo "ERROR: Unknown hw_tag $hw_tag"; exit 1 ;;
esac
- # Create directory for tcwg-benchmark to upload results to
+ # Create directory for tcwg-benchmark to upload results to.
+ # Note that files inside $results_dir will be owned by tcwg-benchmark.
local results_dir
results_dir="$(mktemp -d)"
- chmod go+wx "$results_dir"
+ chmod 0777 "$results_dir"
# Trigger benchmarking job and capture its console output.
# Ignore exit code of the trigger command to detect various failure